<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

?>

<?php /* Obsolete PHP version check */ ?>
<?= $this->loadAnyTemplate('Controlpanel/phpversion_warning', false, [
	'softwareName'          => 'Akeeba Ticket System',
	'minPHPVersion'         => '7.2.0',
	'class_priority_low'    => 'alert alert-info',
	'class_priority_medium' => 'alert alert-warning text-dark',
	'class_priority_high'   => 'alert alert-danger',
]); ?>

<?php if( $this->needsdlid):
	$updateSiteEditUrl = Route::_('index.php?option=com_installer&task=updatesite.edit&update_site_id=' . $this->updateSiteId)
	?>
	<div class="alert alert-info alert-dismissible">
		<h3 class="alert-heading">
			<?= Text::_('COM_ATS_CONTROLPANEL_LBL_MUSTENTERDLID'); ?>
			<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="<?= Text::_('JLIB_HTML_BEHAVIOR_CLOSE') ?>"></button>
		</h3>
		<p>
			<?=Text::sprintf('COM_ATS_CONTROLPANEL_LBL_NEEDSDLID', 'https://www.akeeba.com/download/official/add-on-dlid.html'); ?>
		</p>
		<p>
			<?= Text::sprintf('COM_ATS_CONTROLPANEL_MSG_WHERETOENTERDLID', $updateSiteEditUrl) ?>
		</p>
		<p class="text-muted">
			<?= Text::_('COM_ATS_CONTROLPANEL_MSG_JOOMLABUGGYUPDATES') ?>
		</p>
	</div>
<?php endif; ?>